Package org.apache.wiki.render

## Class CleanTextRenderer

- java.lang.Object
- - org.apache.wiki.render.WikiRenderer
  - - org.apache.wiki.render.CleanTextRenderer

    public class CleanTextRenderer
    extends WikiRenderer

A simple renderer that just renders all the text() nodes from the DOM tree. This is very useful for cleaning away all of the XHTML.

Since:
  2.4

### Field Summary

### Fields inherited from class org.apache.wiki.render.WikiRenderer

`LINKS_SOURCE, LINKS_TRANSLATION, m_context, m_document`

### Constructor Summary

Constructors
`CleanTextRenderer​(Context context, WikiDocument doc)` Create a renderer.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getString()` Renders and returns the end result.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CleanTextRenderer

    public CleanTextRenderer​(Context context,
                             WikiDocument doc)

Create a renderer.

Parameters:
  `context` - A WikiContext in which the rendering will take place.
  `doc` - The WikiDocument which shall be rendered.

### Method Detail

#### getString

    public java.lang.String getString()

Renders and returns the end result.

Specified by:
  `getString` in class `WikiRenderer`
Returns:
  A rendered string.